Subject: [PATCH] arm64: errata: Check for --fix-cortex-a53-843419 and --fix-cortex-a53

From: [email-masked] (Will Deacon)
Date: Wed, 4 Jan 2017 11:49:21 +0000

Hi Florian,

On Wed, Dec 28, 2016 at 12:17:23PM -0800, Florian Fainelli wrote:
> On 11/03/2016 10:20 AM, Florian Fainelli wrote:
> > On 11/03/2016 07:16 AM, Will Deacon wrote:
> >> If you can't change toolchain and you want this worked around, why can't you
> >> either build gold with it enabled by default, or pass the extra flag on the
> >> command line to the kernel build system?
> > 
> > Because that creates a distribution problem and now we have to document
> > this for people who want to build a kernel on their own, without
> > necessarily understanding if this is something they might need, or why
> > this is needed, and why the kernel is not taking care of that on its
> > own? So yes, this comes down to who is responsible for what, in that
> > case the kernel's Makefile is the best place where to put such knowledge
> > as to which workaround needs to be enabled by the linker and it
> > simplifies things a lot for people.
> 
> Was this convincing enough for Catalin to pick Markus' patch or does
> that mean this patch needs to remain out of tree for us because of using
> a slightly older toolchain?

I thought more about this last night, and there are two questions that
might sway me:

  1. How prevalent is the binary toolchain with this issue? Is it, for
     example, shipping as part of a publicly available LTS distribution?
     I know you quoted some Linaro build, but I can't actually find those
     binaries on their website.

  2. Could we extend the Makefile magic to detect that, not only is
     --fix-cortex-a53-843419 unsupported, but also that the linker is
     in fact gold?

Will